> ## Documentation Index
> Fetch the complete documentation index at: https://docs.awazindia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Segment's Contact List

> Returns all segment's contacts from the system that the user has access to



## OpenAPI

````yaml POST /segment/contact/list?id={id}
openapi: 3.1.0
info:
  title: AwazIndia API
  description: >-
    A sample API that uses a campaign store as an example to demonstrate
    features in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.awazindia.ai/api/v1
security:
  - apiKeyAuth: []
paths:
  /segment/contact/list?id={id}:
    post:
      description: >-
        Returns all segment's contacts from the system that the user has access
        to
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: The ID of the segment to get contacts
      responses:
        '200':
          description: Segment contacts response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContactAudiences'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    ContactAudiences:
      type: object
      properties:
        first_name:
          description: First name
          type: string
        last_name:
          description: Last name
          type: string
        email:
          description: Email
          type: string
        description:
          description: Description
          type: string
        phone:
          description: phone number
          type: string
        sync_by:
          description: Sync by
          type: string
        id:
          description: Id
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-api-key
      in: header

````